# Type alias AccountLinkingConsumer

AccountLinkingConsumer: {
cancel: (() => void);
on: (<K>(eventName: K, listener: EventListener<ConsumerEventMap[K]>) => void);
}

#### Type declaration

- ##### cancel: (() => void)

  - - (): void

    - #### Returns void

- ##### on: (<K>(eventName: K, listener: EventListener<ConsumerEventMap[K]>) => void)

  - - <K>(eventName: K, listener: EventListener<ConsumerEventMap[K]>): void

    - #### Type Parameters

      - #### K extends keyof ConsumerEventMap

      #### Parameters

      - ##### eventName: K

      - ##### listener: EventListener<ConsumerEventMap[K]>

      #### Returns void

- Defined in linking/consumer.ts:19

Generated using TypeDoc